TAAS - Feature #357

Service Period Report Summary
08/29/2024 09:53 AM - Junaid M

Status: Reopen Bugs Start date: 08/29/2024
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Service Period Report

Description

Coding Service Period Report

History

#1 - 08/31/2024 11:30 AM - Sreeranjini T
GUI

Load Customer/Supplier Sales and Refund Report on View Details Icon

#2 - 10/16/2024 11:56 AM - Anil KV
- Status changed from New to Ready for Coding
- Assignee changed from travvise Admin to Sreeranjini T

- % Done changed from 0 to 20

#3 - 10/17/2024 09:41 AM - Sreeranjini T
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#4 - 10/17/2024 07:55 PM - Junaid M

- Subject changed from Service Period Report to Service Period Report Summary

#5 - 10/24/2024 02:49 PM - Sreeranjini T
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#6 - 11/12/2024 03:24 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND

1. Fixed - Keep the master field collapsed while pressing the search, new and reset button.

2. Data not showing while selecting the redirect icon to details module.
3. Fixed - When clicking search button sub customer field is not disabled.
4. Data mismatch with service period report details.

#7 - 11/19/2024 09:46 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#8 - 11/29/2024 06:06 PM - Theja Ponon
- File clipboard-202411291244-xswxf.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)DELETED VOUCHERS ARE ALSO SHOWS ON SEARCHING

2)IF SUPPLIER AND CUSTOMER HAVE SAME NAME THEN SEARCHING WITH SUPPLIER AND REDIRECTING TO DETAIL PAGE BOTH
SUPPLIER AND CUSTOMER NAME FIELD GET FILLED

Travvise Service Period Report Details

TRAVEL SOLUTION PUT LTD

pse No Data Found

X
MR Service StartDate'~ | 307112024 | €3 B |z [ D B Branch® | Main 3 M Consider’ | Issued % Sale % -
nt Customer* | CT02 Augustin Currency Base1(QAR) ~ Bxclude | gojact -
ck Supplier* ' 5pQ2 Augustin Department | goject - File No =
B Issuing Staff ~ Cost Center | soject - Reference~*
bort R
3 Service | Ajr Ticket Service % Smore ¥ ~ Bub Customer (Profile) ~ Cash Select -
Info Counter
5
Do
f Airline GDS | selec -
Eter c
e
htony: Country City Hotel
pets AAR

o All | Ticket Hotel Visa Transfer Package Other

#9 - 11/30/2024 04:16 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#10 - 12/02/2024 04:16 PM - Theja Ponon

- File clipboard-202412021504-fmaxa.png added

- File clipboard-202412021512-chhyk.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

ravvise Service Period Report Summary

EL SOLUTION PVT LTD

Service Start Date*~  (12/12/2024 05/12/202 Branch*

2/2024 4 - Consider* Sale -
Customer Supplier Currency | Base1(QAR) ~ Exclude -
¥¥¥
g o De Renort |ict B o
# Customer/Supplier Address Phone Email No Of Docs No Of ltems View Details

1 SP04:Sarath

1 1 &
0 1 4

2 SP02:Augustin
Travvise Service Period Report Details

kAVEL SOLUTION PVT LTD

Service Start Date™ ~ 02/12/2024 05/12/2024 Branch* - Consider” Sale -

Customer* | CTO2 Augustin Currency  Base1(QAR) ~ Exclude -

¥y

All | Ticket Hotel Visa Transfer Package Other

# Service Service Star... | Service End ... | Doc Date Document Mo | Ticket/Vouc... | Issue Date Party Staff Pax

1 SAQOT: Air Ticket Service | 03/12/2024 03/12/2024 02/12/2024 INV/002 TKO1 02/12/2024 CT02: Augustin qwr

2)DOCUMENT COUNT IS NOT UPDATING IF THERE ALREADY ONE DOCUMENT PRESENT FOR THE CUSTOMER
3)DATA IS NOT LOAD IN SALE MODULE BY REDIRECTION

#11 - 12/05/2024 09:36 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#12 - 12/13/2024 10:52 AM - Theja Ponon
- File clipboard-202412131052-evgpt.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1)Date filtering is not correct in case of document date and issue/cancel date
2)On giving both hotel and airline search will not generate any result

RAVEL SOLUTION PVT LTD

qufaVVise Service Period Report Summary
\Ta pse Mo Data Found.

Service Start Date™~ | 13/12/2024 | €3 3 1412204 | D 3 Branch® | Main % - Consider” | |ssyed % 6Gmore ¥ @~
4

- Customer Supplier € Currency | Basel(QAR) v Exclude | Soject - New

L Issuing Staff = Cost Center | goject - Reference~*
Epol E—

Q Service | AirTicket Service % 5 more % v Bub Customer (Profile) = Cash

Counter
Airline | Q5 519 | 40 Mile Air GDS | Select M

entory Country | Kingdom of Spain City | Alicante Hotel | UYQ Abba Centrum Alicante

AAR

YT Q@ B 2

#13 - 12/14/2024 10:10 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#14 - 12/16/2024 10:46 AM - Theja Ponon

- File clipboard-202412161035-85th6.png added

- File clipboard-202412161042-zfggs.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50
#15 - 12/16/2024 10:58 AM - Theja Ponon
- File clipboard-202412161057-a3jxz.png added

ISSUE FOUND

" Travvise Service Period Report Summary

TRAVEL SOLUTION PVT LTD

pse From Date is Not Valid. %
B Service StartDate™~ | 1671272024 | €3 (2 1612204 | € 3 Branc® | Main - Consider™ | tosue oo .
E Customer Supplier @ Currency | Base(QAR) ~ Exclude | golect -
! T Q B
jort
g # Customer/Supplier Address Phone Email No Of Docs No Of Items View Details
info
3]
Do
No data

2)Search will generate result only when to to date is next date of actual date

#16 - 12/17/2024 09:38 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#17 - 12/30/2024 11:53 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1)IN SERVICE HOTEL SERVICE IS UNTICKED AND HOTEL IS GIVEN IN HOTEL FIELD THEN SHOWING THE DETAILS OF HOTEL

#18 - 12/31/2024 03:57 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#19 - 01/16/2025 04:06 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Redirection to service period report details is not showing data when we search using document date in service period report summary.

#20 - 01/16/2025 05:43 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#21 - 03/05/2025 12:09 PM - Arathy PS
- File clipboard-202503051209-az0j4.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. No: of item count is wrong (for a single item sale which has AR sharing done.)
Service Period Report Summary

Service Start Date* ~

Branch®  1iain - Consider” g5 -
Customer © Supplier Cumensy  Base1(0AR) v Excude -

wyy

Service period Report List T e B &

# Customer/Supplier Address Phone Email No Of Docs No Of Items iew Details

1 CUSD0T:ARHAAN ABDUL SALAM 1 2 &

#22 - 03/11/2025 06:54 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#23 - 04/03/2025 02:34 PM - Arathy PS

- File clipboard-202504031430-omqqx.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Incorrect no: items and no: of doc.

Service Period Report Summary 29~ =~ Memu- _Q @A ]
Branch*
Customer © Supplier Currency | Basel(QAR) v Exclude -
# Customer/Supplier Address Phone Email No Of Docs No Of Items View Details
1 CUS001:ASHRAF AHAMED ASLAM 1 4 &
2 CUS002:ANMOL AARIF SAID 3 4 ra

For the 1st customer incorrect no: of items as refunded items are also showing even though refund is not selected in the filter.
For the second customer incorrect doc no: as one customer has different currency in sale.

#24 - 04/07/2025 09:53 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 04/10/2025 04:10 PM - Arathy PS

- File clipboard-202504101609-bmiwf.png added

- File clipboard-202504101610-josqr.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Wrong no: of documents and items (issue with AR sharing)

Tray e Service Period Report Summary

rvice Start Dats Branch™ - Consider”  5a/e
o Supplier Cumrency | Base1(QAR) . Exclude
wvy
# | Customer/Supplier Address Phone Email NoOfDocs | NoOfltems | View Details
1 [ CUS001:ASLAM ANSAAR IMAN 3 1 & ]
2 CUS02:ASMAAN ABDUL KHAN 1 1 &
3 CUSO03:ARIF ANWAR SALAM 1 2 &
Service Period Report Details

Service Start Date™~  10/04/2025

Customer”  CUSO01 ASLAM ANSAAR IMAN

All | Ticket Hotel Visa Transfer Package Other

# Service Service Star... Service End ... = Doc Date

1 SAD01: Air Ticket Service  11/04/2025 14/04/2025 10/04/2025

2 SADO1: Air Ticket Service  12/04/2025 15/04/2025 10/04/2025

3 SAD01: Air Ticket Service  11/04/2025 15/04/2025 10/04/2025
Files

Branch®

Currency | Base1(QAR)

v¥y

Party
CUSO1:: ASLAM ANSA...
CUS0O1:: ASLAM ANSA.

CUSD0T:: ASLAM ANSA.

&

Commission  Supplie

5t
